QueryStats (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.management.impl
Class QueryStats

    java.lang.Object
      org.hibernate.cache.ehcache.management.impl.QueryStats

All Implemented Interfaces:
  Serializable

    public class QueryStats

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected long` | `cacheHitCount` cacheHitCount
`protected long` | `cacheMissCount` cacheMissCount
`protected long` | `cachePutCount` cachePutCount
`protected long` | `executionAvgTime` executionAvgTime
`protected long` | `executionCount` executionCount
`protected long` | `executionMaxTime` executionMaxTime
`protected long` | `executionMinTime` executionMinTime
`protected long` | `executionRowCount` executionRowCount
`protected String` | `query` query

Constructor Summary
`QueryStats(CompositeData cData)`
`QueryStats(String name)`
`QueryStats(String name, QueryStatistics src)`

Method Summary
`void` | `add(QueryStats stats)`
`static QueryStats[]` | `fromTabularData(TabularData tabularData)` fromTabularData
`long` | `getCacheHitCount()` getCacheHitCount
`long` | `getCacheMissCount()` getCacheMissCount
`long` | `getCachePutCount()` getCachePutCount
`long` | `getExecutionAvgTime()` getExecutionAvgTime
`long` | `getExecutionCount()` getExecutionCount
`long` | `getExecutionMaxTime()` getExecutionMaxTime
`long` | `getExecutionMinTime()` getExecutionMinTime
`long` | `getExecutionRowCount()` getExecutionRowCount
`String` | `getQuery()` getQuery
`static TabularData` | `newTabularDataInstance()` newTabularDataInstance
`CompositeData` | `toCompositeData()` toCompositeData
`String` | `toString()` toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### query

    protected final String query

  query

### cacheHitCount

    protected long cacheHitCount

  cacheHitCount

### cacheMissCount

    protected long cacheMissCount

  cacheMissCount

### cachePutCount

    protected long cachePutCount

  cachePutCount

### executionCount

    protected long executionCount

  executionCount

### executionRowCount

    protected long executionRowCount

  executionRowCount

### executionAvgTime

    protected long executionAvgTime

  executionAvgTime

### executionMaxTime

    protected long executionMaxTime

  executionMaxTime

### executionMinTime

    protected long executionMinTime

  executionMinTime

Constructor Detail

### QueryStats

    public QueryStats(String name)

Parameters:
  `name` -

### QueryStats

    public QueryStats(String name,
                      QueryStatistics src)

Parameters:
  `name` -
  `src` -

### QueryStats

    public QueryStats(CompositeData cData)

Parameters:
  `cData` -

Method Detail

### add

    public void add(QueryStats stats)

  Parameters:
    `stats` -

### toString

    public String toString()

  toString

  Overrides:
    `toString` in class `Object`

### getQuery

    public String getQuery()

  getQuery

### getCacheHitCount

    public long getCacheHitCount()

  getCacheHitCount

### getCacheMissCount

    public long getCacheMissCount()

  getCacheMissCount

### getCachePutCount

    public long getCachePutCount()

  getCachePutCount

### getExecutionCount

    public long getExecutionCount()

  getExecutionCount

### getExecutionRowCount

    public long getExecutionRowCount()

  getExecutionRowCount

### getExecutionAvgTime

    public long getExecutionAvgTime()

  getExecutionAvgTime

### getExecutionMaxTime

    public long getExecutionMaxTime()

  getExecutionMaxTime

### getExecutionMinTime

    public long getExecutionMinTime()

  getExecutionMinTime

### toCompositeData

    public CompositeData toCompositeData()

  toCompositeData

### newTabularDataInstance

    public static TabularData newTabularDataInstance()

  newTabularDataInstance

### fromTabularData

    public static QueryStats[] fromTabularData(TabularData tabularData)

  fromTabularData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.